This is the mail archive of the gcc-patches@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[Ada] acats test suite updates


In preparation of implementation of other Ada 2005 features, and some
clean ups in the handling of stack checking, the following changes in the
ACATS tests are needed.

In particular, there are many ACATS tests which are no longer valid
(do not compile) in Ada 2005. We are currently discussing the best way
to handle that at the official level, although this takes time, so in
the mean time, the best approach is to simply compile those tests in
Ada 95 mode.

Committed on trunk.

2006-09-12  Arnaud Charlet  <charlet@adacore.com>

	* ada95.lst, stackcheck.lst, run_all.sh: update list of tests requiring
	stack checking.
	Add handling of tests using Ada 95 semantics and thus requiring
	-gnat95 switch.

--
Index: stackcheck.lst
===================================================================
--- stackcheck.lst	(revision 116941)
+++ stackcheck.lst	(working copy)
@@ -1,3 +1,6 @@
 c52103x
 c52104x
 c52104y
+cb1010a
+cb1010c
+cb1010d
Index: ada95.lst
===================================================================
--- ada95.lst	(revision 0)
+++ ada95.lst	(revision 0)
@@ -0,0 +1,31 @@
+ac3106a
+c34005p
+c34005r
+c34005s
+c34005u
+c34005v
+c34006g
+c34006j
+c34006l
+c34008a
+c3a0014
+c41103b
+c41203b
+c41306a
+c460a01
+c650001
+c74302b
+c74306a
+c85014a
+c85014b
+c85014c
+c87b26b
+c87b41a
+c99004a
+cb40005
+cc3019c
+cc51b03
+cc51d02
+cd10002
+cdd2a03
+cxac005
Index: run_all.sh
===================================================================
--- run_all.sh	(revision 116941)
+++ run_all.sh	(working copy)
@@ -226,6 +226,10 @@ for chapter in $chapters; do
       if [ $? -eq 0 ]; then
          extraflags="$extraflags -fstack-check"
       fi
+      grep $i $testdir/ada95.lst > /dev/null 2>&1
+      if [ $? -eq 0 ]; then
+         extraflags="$extraflags -gnat95"
+      fi
       test=$dir/tests/$chapter/$i
       mkdir $test && cd $test >> $dir/acats.log 2>&1
 


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]